/***************************************************************************
                          textout.h  -  description
                             -------------------
    begin                : Die Apr 15 2003
    copyright            : (C) 2003 by J.Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TEXTOUT_H
#define TEXTOUT_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qwidget.h>
#include <qtimer.h>
#include <qfontmetrics.h>



class TextRow : public QWidget  {
   Q_OBJECT
public: 
	TextRow(QWidget *parent=0, const char *name=0);
	~TextRow();
  void GetConfig(QFont&, QColor&) const;

public slots:
  void slotChangeText(const QString&); /* changes text of the info row*/
  void slotSetConfig(QFont*, QColor*);

private slots:
  void slotTimerEvent();

protected:

 virtual void paintEvent(QPaintEvent*);

private:
 QFont font;
 QColor color;

 QTimer timer;

 int posx, posx2, posy;
 QString text;
 QFontMetrics *met;
 bool drawSecond;
};

#endif
