/***************************************************************************
                          kaffeine_part.h  -  description
                             -------------------
    begin                : Don Apr 17 11:30:44 CEST 2003
    copyright            : (C) 2003 by J.Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef __KaffeinePart_H__
#define __KaffeinePart_H__

#include <kparts/browserextension.h>
#include <kparts/factory.h>
#include <kinstance.h>
#include <kaboutdata.h>
#include <kpushbutton.h>

#include <qslider.h>

#include "playlist.h"
#include "inforow.h"
#include "videowindow.h"

class KaffeineBrowserExtension;

class KaffeineFactory : public KParts::Factory
{
  Q_OBJECT
  public:
    KaffeineFactory();
    ~KaffeineFactory();

    virtual KParts::Part* createPartObject(QWidget *parentWidget, const char *widgetName,
                QObject* parent = 0, const char* name = 0,
                const char* classname = "QObject",
                const QStringList &args = QStringList());

    static KInstance *instance();

    static KAboutData *aboutData();
  private:
    static KInstance *s_instance;
};


class KaffeinePart: public KParts::ReadOnlyPart
{
  Q_OBJECT
  public:
    KaffeinePart(QWidget *parentWidget, const char *widgetName,
             QObject *parent, const char *name);
    ~KaffeinePart();

    virtual bool closeURL();

  protected:
    virtual bool openFile() {return false; }

  public slots:
    virtual bool openURL(const KURL& url);  

  protected slots:
    void slotPlay();
    void slotStop();
    void slotNext();
    void slotPrevious();
    void slotGoHome();
    void slotSetPosition(int, const QString&);

  private:
    VideoWindow* videoWin;
    TextRow* infoRow;
    PlayList* playList;
    KaffeineBrowserExtension* browserExtension;

    QSlider* posSlider;
    KPushButton* timeButton;
};



class KaffeineBrowserExtension : public KParts::BrowserExtension
{
  Q_OBJECT
    friend class KaffeinePart;
  public:
  KaffeineBrowserExtension(KaffeinePart *parent);
  virtual ~KaffeineBrowserExtension();
};

#endif
