/***************************************************************************
                          kaffeineapp.cpp  -  description
                             -------------------
    begin                : Die Mai 13 2003
    copyright            : (C) 2003 by J.  Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kdebug.h>

#include "kaffeineapp.h"


KaffeineApp::KaffeineApp() : KUniqueApplication(), kaffeine(0)
{
}

KaffeineApp::~KaffeineApp()
{
 delete kaffeine;
}


int KaffeineApp::newInstance()
{
  /* parse command line options */

  KCmdLineArgs* args = KCmdLineArgs::parsedArgs();

  KURL::List files;
  bool play = args->isSet("play");
  bool fullscreen = args->isSet("fullscreen");
  bool minimal = args->isSet("minimal");

  QString device = args->getOption("device");
  QString remote = args->getOption("rc");

  if (args->count() > 0)
  {
    for (int i=0; i<args->count(); i++)
    {
      files.append(args->url(i));
    }
  }

  args->clear();


 if (kaffeine)  //still running
 {
 
    if (files.count() > 0)  //send to running instance if any urls
    {
      kdDebug(555) << "Send URLs to running instance...\n";
      kaffeine->showNormal();
      kaffeine->raise();
      kaffeine->CmdArgs(files, device, false, false, false);
      return false;
    }
    if (remote != "do_nothing")
    {
      kaffeine->ExecuteRemoteCommand(remote);
      return false;
    }    

    kdDebug(555) << "Kaffeine is still running...\n";
    kaffeine->showNormal();
    kaffeine->raise();
    return false;
 }  

 /* start kaffeine */
  kaffeine = new KMP(0, "main window");

  setMainWidget(kaffeine);
  kaffeine->resize(600,500);  //prevent the win is outside of desktop

  if(!kaffeine->videoWin->InitXine())
    {
      kaffeine->close();
      return false;
    }  
  else
    kaffeine->Finalize(); //finalize the gui

  kaffeine->show();

  if (remote == "play")
   play = true;

  kaffeine->CmdArgs(files, device, play, fullscreen, minimal);
   
  return true;
}



