/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Apr 17 11:30:44 CEST 2003
    copyright            : (C) 2003 by Jrgen. K.
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <dcopclient.h>

#include <stdlib.h>

#include "kaffeineapp.h"

static const char *description =
 I18N_NOOP("A xine based media player. Take a look at Kaffeine Handbook for more information.");


static KCmdLineOptions options[] =
{
  { "p", 0, 0 },
  { "play", I18N_NOOP ("Start playing immediately"), 0 },
  { "f", 0, 0 },
  { "fullscreen", I18N_NOOP ("Start in fullscreen mode"), 0 },
  { "m", 0, 0 },
  { "minimal", I18N_NOOP ("Start in minimal mode"), 0 },
  { "d", 0, 0 },
  { "device <argument", I18N_NOOP ("Set Audio-CD/VCD device path."), "do_nothing"},
  { "r", 0, 0 },
  { "rc <argument>", I18N_NOOP ("Remote Control; arguments: play, pause, next, prev, stop, volup, voldown, incpos, decpos, quit"), "do_nothing" },
  { "+[file]", I18N_NOOP ("File(s) to play. You can also use plugin names. For example: 'kaffeine VCD'."), 0 },
  { 0, 0, 0 }
};


int main(int argc, char *argv[])
{

  KAboutData aboutData( "kaffeine", I18N_NOOP("KAFFEINE"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Jürgen Kofler.", 0, "http://kaffeine.sourceforge.net", "kaffeine@gmx.net");
  aboutData.addAuthor("Jürgen Kofler.",0, "kaffeine@gmx.net");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); 
 

  if (!KaffeineApp::start())
  {
    exit (0);
  } 

  KaffeineApp a;
  
  return a.exec();
}


