/***************************************************************************
                          urllistview.h  -  description
                             -------------------
    begin                : Mon Apr 28 2003
    copyright            : (C) 2003 by J. Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef URLLISTVIEW_H
#define URLLISTVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <klistview.h>
#include <kpopupmenu.h>

#include <qwidget.h>
#include <qdragobject.h>


class UrlListView : public KListView
{
   Q_OBJECT
public: 
 UrlListView(QWidget *parent=0, const char *name=0);
 ~UrlListView();

 void SetCleared(bool);   
 bool GetCleared() const; /* was the playlist cleared or should we save it? */

public slots:
  virtual void clear();  /* overloaded slot */

signals:
  void signalRemoveSelected();   /* remove selected in context menu */
  void signalPlayItem(QListViewItem* );  /* play selected in context menu */
  
private slots:
  void slotShowContextMenu(QListViewItem*, const QPoint&, int);
  void slotShowInfo();
  void slotEditTitle();
  void slotDeleteItem();
  void slotPlayItem();

protected:
  virtual bool acceptDrag(QDropEvent* event) const;
  virtual void resizeEvent(QResizeEvent*);

private:
  bool listCleared;

  QListViewItem* itemOfContextMenu;
  KPopupMenu* contextMenu;
  
};

#endif
